%define upstream_name    Class-Fields
%define upstream_version 0.204

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Inspect the fields of a class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(base) >= 2.0.0
BuildRequires: perl(constant)
BuildArch:  noarch

%description
* _Public member._

  Externally visible data or functionality. An attribute or method that is
  directly accessable from scopes outside the class. In Perl, most members
  are, by their standard semantics, public. By convention, attributes of
  Perl classes are regarded as private, as are methods whose names begin
  with an underscore.

  From *"Object Oriented Perl"* by Damian Conway

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 16 2011 jquelin <jquelin> 0.204.0-1.mga1
+ Revision: 52431
- update to 0.204

* Wed Jan 26 2011 jquelin <jquelin> 0.203.0-1.mga1
+ Revision: 40344
- mageia rebuild
- imported package perl-Class-Fields

